# apiInventoryCommit

Git commit information associated with an API discovery.

### Examples

```graphql
type ApiInventoryCommit {
  commitInfo: ApiInventoryCommitInfo
  match: String
  snippet: String
  snippetLineNumber: Int
  startLineNumber: Int
  fileName: String
  link: String
}
```

### Fields

| Field                                                                                                                                | Description                                        | Supported fields                                                                                                                                                                                                                                                                   |
| ------------------------------------------------------------------------------------------------------------------------------------ | -------------------------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| commitInfo [`ApiInventoryCommitInfo`](/api-documentation/api-reference/api--api-security/types/objects/api-inventory-commit-info.md) | Detailed information about the Git commit          | <p>authorName <code>String</code><br>authorEmail <code>String</code><br>committerName <code>String</code><br>committerEmail <code>String</code><br>commitId <code>String</code><br>message <code>String</code><br>authorDate <code>Date</code><br>commitDate <code>Date</code></p> |
| match `String`                                                                                                                       | Text match found in the commit                     |                                                                                                                                                                                                                                                                                    |
| snippet `String`                                                                                                                     | Code snippet from the commit showing the API usage |                                                                                                                                                                                                                                                                                    |
| snippetLineNumber `Int`                                                                                                              | Line number where the snippet appears              |                                                                                                                                                                                                                                                                                    |
| startLineNumber `Int`                                                                                                                | Starting line number of the relevant code section  |                                                                                                                                                                                                                                                                                    |
| fileName `String`                                                                                                                    | Name of the file modified in this commit           |                                                                                                                                                                                                                                                                                    |
| link `String`                                                                                                                        | URL link to view this commit                       |                                                                                                                                                                                                                                                                                    |

### References

#### Fields with this object:

* [{} ApiSecurityItem.commits](/api-documentation/api-reference/api--api-security/types/objects/api-security-item.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ox.security/api-documentation/api-reference/api--api-security/types/objects/api-inventory-commit.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
